## ros-melodic-qt-dotgraph 0.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(qt_dotgraph)

find_package(catkin REQUIRED)
catkin_package()

catkin_python_setup()

if (CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test)
endif()

=== debian/changelog ===
ros-melodic-qt-dotgraph (0.4.2-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Jul 2020 07:00:00 -0000

ros-melodic-qt-dotgraph (0.4.1-1stretch) stretch; urgency=high

  * use setuptools instead of distutils (#209 <https://github.com/ros-visualization/qt_gui_core/issues/209>)
  * Please flake8 (#207 <https://github.com/ros-visualization/qt_gui_core/issues/207>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 28 May 2020 07:00:00 -0000

ros-melodic-qt-dotgraph (0.4.0-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 28 Feb 2020 08:00:00 -0000

ros-melodic-qt-dotgraph (0.3.17-1stretch) stretch; urgency=high

  * bump CMake minimum version to avoid CMP0048 warning (#206 <https://github.com/ros-visualization/qt_gui_core/issues/206>)
  * [Windows] use the portable way to decide the line break (#200 <https://github.com/ros-visualization/qt_gui_core/issues/200>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 28 Feb 2020 08:00:00 -0000

ros-melodic-qt-dotgraph (0.3.16-1stretch) stretch; urgency=high

  * make another test more flexible in terms of whitespaces (#194 <https://github.com/ros-visualization/qt_gui_core/issues/194>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 04 Dec 2019 08:00:00 -0000

ros-melodic-qt-dotgraph (0.3.15-1stretch) stretch; urgency=high

  * make test more flexible in terms of whitespaces (#192 <https://github.com/ros-visualization/qt_gui_core/issues/192>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-melodic-qt-dotgraph (0.3.14-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 03 Oct 2019 07:00:00 -0000

ros-melodic-qt-dotgraph (0.3.13-1stretch) stretch; urgency=high

  * add Python 3 dependencies with conditions (#184 <https://github.com/ros-visualization/qt_gui_core/issues/184>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 30 Sep 2019 07:00:00 -0000

ros-melodic-qt-dotgraph (0.3.12-1stretch) stretch; urgency=high

  * remove obsolete maintainer (#160 <https://github.com/ros-visualization/qt_gui_core/issues/160>)
  * changes for flake8 and ROS2 compatible style changes (#130 <https://github.com/ros-visualization/qt_gui_core/issues/130>)
  * autopep8 (#123 <https://github.com/ros-visualization/qt_gui_core/issues/123>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 30 Sep 2019 07:00:00 -0000

ros-melodic-qt-dotgraph (0.3.11-1stretch) stretch; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Wed, 29 Aug 2018 07:00:00 -0000

ros-melodic-qt-dotgraph (0.3.10-1stretch) stretch; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Sun, 05 Aug 2018 07:00:00 -0000

ros-melodic-qt-dotgraph (0.3.9-1stretch) stretch; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Fri, 03 Aug 2018 07:00:00 -0000

ros-melodic-qt-dotgraph (0.3.8-1stretch) stretch; urgency=high

  * add recursive subgraph parsing, box3d shape, graphics items now immediately parented (#87 <https://github.com/ros-visualization/qt_gui_core/issues/87>)

 -- D. Hood <dhood@osrfoundation.org>  Fri, 03 Nov 2017 07:00:00 -0000

ros-melodic-qt-dotgraph (0.3.7-1stretch) stretch; urgency=high

  * Fix for Python 3 compatibility (#106 <https://github.com/ros-visualization/qt_gui_core/issues/106>)

 -- D. Hood <dhood@osrfoundation.org>  Wed, 25 Oct 2017 07:00:00 -0000

ros-melodic-qt-dotgraph (0.3.6-1stretch) stretch; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Thu, 03 Aug 2017 07:00:00 -0000

ros-melodic-qt-dotgraph (0.3.5-1stretch) stretch; urgency=high

  * avoid collision of topic nodes with / and _ (#95 <https://github.com/ros-visualization/qt_gui_core/pull/95>)
  * small fixes for Python3 compatibility (#88 <https://github.com/ros-visualization/qt_gui_core/pull/88>)
  * remove color item added unintentionally (#86 <https://github.com/ros-visualization/qt_gui_core/pull/86>)
  * fix missing label coloring on hover (#85 <https://github.com/ros-visualization/qt_gui_core/pull/85>)
  * parse subgraphs recursively (#72 <https://github.com/ros-visualization/qt_gui_core/issues/72>)

 -- D. Hood <dhood@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-melodic-qt-dotgraph (0.3.4-1stretch) stretch; urgency=high

  * use Python 3 compatible syntax (#81 <https://github.com/ros-visualization/qt_gui_core/pull/81>)
  * fix label size in dot graphs (#75 <https://github.com/ros-visualization/qt_gui_core/pull/75>)

 -- D. Hood <dhood@osrfoundation.org>  Tue, 24 Jan 2017 08:00:00 -0000

ros-melodic-qt-dotgraph (0.3.3-1stretch) stretch; urgency=high

  * work with newer pydot versions (#70 <https://github.com/ros-visualization/qt_gui_core/pull/70>)
  * make penwidth attribute optional

 -- D. Hood <dhood@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-melodic-qt-dotgraph (0.3.2-1stretch) stretch; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Thu, 21 Apr 2016 07:00:00 -0000

ros-melodic-qt-dotgraph (0.3.1-1stretch) stretch; urgency=high

  * fix imports with Qt 5

 -- D. Hood <dhood@osrfoundation.org>  Mon, 18 Apr 2016 07:00:00 -0000

ros-melodic-qt-dotgraph (0.3.0-1stretch) stretch; urgency=high

  * switch to Qt5 (#64 <https://github.com/ros-visualization/qt_gui_core/pull/64>)

 -- D. Hood <dhood@osrfoundation.org>  Fri, 01 Apr 2016 07:00:00 -0000

ros-melodic-qt-dotgraph (0.2.30-1stretch) stretch; urgency=high

  * use same color for arrows as for the edge (#60 <https://github.com/ros-visualization/qt_gui_core/issues/60>)
  * add ability to specify tooltips for nodes (#61 <https://github.com/ros-visualization/qt_gui_core/pull/61>)

 -- D. Hood <dhood@osrfoundation.org>  Wed, 30 Mar 2016 07:00:00 -0000

ros-melodic-qt-dotgraph (0.2.29-1stretch) stretch; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Sat, 19 Sep 2015 07:00:00 -0000

ros-melodic-qt-dotgraph (0.2.28-1stretch) stretch; urgency=high



=== debian/control ===
Source: ros-melodic-qt-dotgraph
Section: misc
Priority: optional
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), python-pygraphviz, python-setuptools, ros-melodic-catkin
Homepage: http://ros.org/wiki/qt_dotgraph
Standards-Version: 3.9.2

Package: ros-melodic-qt-dotgraph
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-pydot, ros-melodic-python-qt-binding (>= 0.3.0)
Description: qt_dotgraph provides helpers to work with dot graphs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-qt-dotgraph//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
